| Flutter Windows Embedder |

Public Types | Public Member Functions | List of all members
flutter::WindowBindingHandlerDelegate Class Referenceabstract

`#include <window_binding_handler_delegate.h>`

Inheritance diagram for flutter::WindowBindingHandlerDelegate:

## Public Types
using | KeyEventCallback = std::function< void(bool)>

## Public Member Functions
virtual bool | OnWindowSizeChanged (size_t width, size_t height)=0
virtual void | OnWindowRepaint ()=0
virtual void | OnPointerMove (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id, uint32_t rotation, uint32_t pressure, int modifiers_state)=0
virtual void | OnPointerDown (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id, FlutterPointerMouseButtons button, uint32_t rotation, uint32_t pressure)=0
virtual void | OnPointerUp (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id, FlutterPointerMouseButtons button)=0
virtual void | OnPointerLeave (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id)=0
virtual void | OnPointerPanZoomStart (int32_t device_id)=0
virtual void | OnPointerPanZoomUpdate (int32_t device_id, double pan_x, double pan_y, double scale, double rotation)=0
virtual void | OnPointerPanZoomEnd (int32_t device_id)=0
virtual void | OnText (const std::u16string &)=0
virtual void | OnKey (int key, int scancode, int action, char32_t character, bool extended, bool was_down, KeyEventCallback callback)=0
virtual void | OnFocus (FlutterViewFocusState focus_state, FlutterViewFocusDirection direction)=0
virtual void | OnComposeBegin ()=0
virtual void | OnComposeCommit ()=0
virtual void | OnComposeEnd ()=0
virtual void | OnComposeChange (const std::u16string &text, int cursor_pos)=0
virtual void | OnScroll (double x, double y, double delta_x, double delta_y, int scroll_offset_multiplier, FlutterPointerDeviceKind device_kind, int32_t device_id)=0
virtual void | OnScrollInertiaCancel (int32_t device_id)=0
virtual void | OnUpdateSemanticsEnabled (bool enabled)=0
virtual gfx::NativeViewAccessible | GetNativeViewAccessible ()=0
virtual void | OnHighContrastChanged ()=0
virtual ui::AXFragmentRootDelegateWin * | GetAxFragmentRootDelegate ()=0
virtual void | OnWindowStateEvent (HWND hwnd, WindowStateEvent event)=0

## Detailed Description

Definition at line 18 of file window_binding_handler_delegate.h.

## Member Typedef Documentation

## ◆ KeyEventCallback

using flutter::WindowBindingHandlerDelegate::KeyEventCallback = std::function<void(bool)>

Definition at line 20 of file window_binding_handler_delegate.h.

## Member Function Documentation

## ◆ GetAxFragmentRootDelegate()

virtual ui::AXFragmentRootDelegateWin* flutter::WindowBindingHandlerDelegate::GetAxFragmentRootDelegate | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::GetAxFragmentRootDelegate().

## ◆ GetNativeViewAccessible()

virtual gfx::NativeViewAccessible flutter::WindowBindingHandlerDelegate::GetNativeViewAccessible | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::GetNativeViewAccessible().

## ◆ OnComposeBegin()

virtual void flutter::WindowBindingHandlerDelegate::OnComposeBegin | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnComposeBegin().

## ◆ OnComposeChange()

virtual void flutter::WindowBindingHandlerDelegate::OnComposeChange | ( | const std::u16string & | text,
|  | int | cursor_pos
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnComposeChange().

## ◆ OnComposeCommit()

virtual void flutter::WindowBindingHandlerDelegate::OnComposeCommit | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnComposeCommit().

## ◆ OnComposeEnd()

virtual void flutter::WindowBindingHandlerDelegate::OnComposeEnd | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnComposeEnd().

## ◆ OnFocus()

virtual void flutter::WindowBindingHandlerDelegate::OnFocus | ( | FlutterViewFocusState | focus_state,
|  | FlutterViewFocusDirection | direction
| ) |  |
| pure virtual

Notifies the delegate that the backing window has received or lost focus.

Typically called by currently configured WindowBindingHandler.

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnWindowStateEvent().

## ◆ OnHighContrastChanged()

virtual void flutter::WindowBindingHandlerDelegate::OnHighContrastChanged | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnThemeChange().

## ◆ OnKey()

virtual void flutter::WindowBindingHandlerDelegate::OnKey | ( | int | key,
|  | int | scancode,
|  | int | action,
|  | char32_t | character,
|  | bool | extended,
|  | bool | was_down,
|  | KeyEventCallback | callback
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnKey().

## ◆ OnPointerDown()

virtual void flutter::WindowBindingHandlerDelegate::OnPointerDown | ( | double | x,
|  | double | y,
|  | FlutterPointerDeviceKind | device_kind,
|  | int32_t | device_id,
|  | FlutterPointerMouseButtons | button,
|  | uint32_t | rotation,
|  | uint32_t | pressure
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnPointerDown().

## ◆ OnPointerLeave()

virtual void flutter::WindowBindingHandlerDelegate::OnPointerLeave | ( | double | x,
|  | double | y,
|  | FlutterPointerDeviceKind | device_kind,
|  | int32_t | device_id
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnPointerLeave().

## ◆ OnPointerMove()

virtual void flutter::WindowBindingHandlerDelegate::OnPointerMove | ( | double | x,
|  | double | y,
|  | FlutterPointerDeviceKind | device_kind,
|  | int32_t | device_id,
|  | uint32_t | rotation,
|  | uint32_t | pressure,
|  | int | modifiers_state
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnPointerMove().

## ◆ OnPointerPanZoomEnd()

virtual void flutter::WindowBindingHandlerDelegate::OnPointerPanZoomEnd | ( | int32_t | device_id | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::DirectManipulationEventHandler::OnViewportStatusChanged().

## ◆ OnPointerPanZoomStart()

virtual void flutter::WindowBindingHandlerDelegate::OnPointerPanZoomStart | ( | int32_t | device_id | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::DirectManipulationEventHandler::OnViewportStatusChanged().

## ◆ OnPointerPanZoomUpdate()

virtual void flutter::WindowBindingHandlerDelegate::OnPointerPanZoomUpdate | ( | int32_t | device_id,
|  | double | pan_x,
|  | double | pan_y,
|  | double | scale,
|  | double | rotation
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::DirectManipulationEventHandler::OnContentUpdated().

## ◆ OnPointerUp()

virtual void flutter::WindowBindingHandlerDelegate::OnPointerUp | ( | double | x,
|  | double | y,
|  | FlutterPointerDeviceKind | device_kind,
|  | int32_t | device_id,
|  | FlutterPointerMouseButtons | button
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnPointerUp().

## ◆ OnScroll()

virtual void flutter::WindowBindingHandlerDelegate::OnScroll | ( | double | x,
|  | double | y,
|  | double | delta_x,
|  | double | delta_y,
|  | int | scroll_offset_multiplier,
|  | FlutterPointerDeviceKind | device_kind,
|  | int32_t | device_id
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnScroll().

## ◆ OnScrollInertiaCancel()

virtual void flutter::WindowBindingHandlerDelegate::OnScrollInertiaCancel | ( | int32_t | device_id | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::DirectManipulationEventHandler::OnViewportStatusChanged().

## ◆ OnText()

virtual void flutter::WindowBindingHandlerDelegate::OnText | ( | const std::u16string & |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnText().

## ◆ OnUpdateSemanticsEnabled()

virtual void flutter::WindowBindingHandlerDelegate::OnUpdateSemanticsEnabled | ( | bool | enabled | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnUpdateSemanticsEnabled().

## ◆ OnWindowRepaint()

virtual void flutter::WindowBindingHandlerDelegate::OnWindowRepaint | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnPaint().

## ◆ OnWindowSizeChanged()

virtual bool flutter::WindowBindingHandlerDelegate::OnWindowSizeChanged | ( | size_t | width,
|  | size_t | height
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnResize().

## ◆ OnWindowStateEvent()

virtual void flutter::WindowBindingHandlerDelegate::OnWindowStateEvent | ( | HWND | hwnd,
|  | WindowStateEvent | event
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindowsView.

Referenced by flutter::FlutterWindow::OnWindowStateEvent().

The documentation for this class was generated from the following file:

- shell/platform/windows/window_binding_handler_delegate.h